{% extends "base.html" %}

{% block main %}
<div>
    <h1>My Projects</h1>
    <p>
        <a href="{% url 'create_project' %}">Create a new project</a>
    </p>
    {% if project_list|length == 0 %}
    <p>You are not assigned to any projects.</p>
    {% else %}
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number of tasks</th>
            </tr>
        </thead>
        <tbody>
            {% for project in project_list %}
            <tr>
                <td><a href="{% url 'show_project' project.pk %}">{{ project.name }}</a></td>
            </tr>
            <td>{{ project.tasks.all|length }}</td>
            {% endfor %}
        </tbody>
    </table>
    {% endif %}
</div>
{% endblock main %}
